Clarification on which JDK is supported for 'Javac in-process'

The list of possible Java compilers include a

Javac in-process (Java6+ only)

I'm not sure I understand what the 'Java6+ only' means.
Is this feature only supported for a IDEA running on top of a Java6+ runtime or is it only possible to compile Java6+ source code.

For me the answer to the following question is relevant:

I have a project which uses a Java 5 JDK and language level 5.0. Is it possible to compile the project with the in-process Javac producing language level 5.0 class files?

Thanks in advance,
Helge

Please sign in to leave a comment.